GNUNET-CADET(1)

NAME
gnunet-cadet - create or obtain information about CADET tunnels and peers

SYNOPSIS
gnunet-cadet [-C CONNECTION_ID | --connection=CONNECTION_ID] [-d | --dump] [-e | --echo] [-o SHARED_SECRET | --open-port=SHARED_SECRET] [-p PEER_ID | --peer=PEER_ID] [-P | --peers] [-T | --tunnels] [-c FILENAME | --config=FILENAME] [-h | --help] [-l FILENAME | --logfile=FILENAME] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-v | --version] <PEER_ID> <SHARED_SECRET>

DESCRIPTION
gnunet-cadet prints information about CADET tunnels and peers. It can also be used for command-line based CADET tunnels using the -o SHARED_SECRET option to open a port on a receiving PEER_ID and using gnunet-cadet <PEER_ID> <SHARED_SECRET> to establish one circuit to that peer from any other peer. The receiving process will only accept one incoming circuit, but several commands using the same -o can be issued to satisfy multiple requests. For one-to-many communication gnunet-social(1) may be better suited, however.

-C CONNECTION_ID | --connection=CONNECTION_ID
    Provide information about the connection CONNECTION_ID.

-d | --dump
    Dump debug information to stderr.

-e | --echo
    Activate echo mode.

-o SHARED_SECRET | --open-port=SHARED_SECRET
    Listen for connections using a shared secret, provided as SHARED_SECRET, among sender and recipient.

-p PEER_ID | --peer=PEER_ID
    Provide information about the peer PEER_ID.

-P | --peers
    Provide information about all (known) peers.

-T | --tunnels
    Provide information about all tunnels.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print the help page.

-l FILENAME | --logfile=FILENAME
    Configure logging to write logs to FILENAME.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v | --version
    Print the GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.